#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <cuda_runtime_api.h>
#include <cublas.h>

// includes, project
#include "magma.h"
#include "magma_lapack.h"
#include "testings.h"

void genRandomMatrix(int n, double *A){

  int ISEED[4] = {0,0,0,1};
  int ione=1;
  
  int n2 = n*n;
  lapackf77_dlarnv( &ione, ISEED, &n2, A);
 
}
